<template>
  <div id="app">
    <button @click.prevent="show" class="modal-trigger">
      <span></span>
    </button>
    <EvidenceTransfer/>
  </div>
</template>

<script>
import { bus } from "./main";
import EvidenceTransfer from "./components/EvidenceTransfer";

export default {
  name: "App",
  data() {
    return {
      data: {
        count: 5,
        weight: 5,
        cost_exp: 100,
        cost_soft: 1000,
      },
    };
  },
  components: {
    EvidenceTransfer,
  },
  methods: {
    show() {
      bus.$emit("show", this.data);
    },
  },
};
</script>

<style>
@import "~@/assets/styles/main.css";
</style>
